﻿using Model.Business;
using Model.DTO;

namespace Services
{
    public interface IDataService
    {
        public IEnumerable<UserDTO> GetUsers(int page, int number);
        public UserDTO GetUserById(int id);
        public UserDTO GetUserByUsername(string username);
        public bool DeleteUser(int id);
        public UserDTO UpdateUser(int id, UserDTO user);
        public UserDTO CreateUser(string username, string password, string email, bool isAdmin);
        public IEnumerable<InquiryDTO> GetInquiries(int page, int number);
        public InquiryDTO GetInquiryById(int id);
        public InquiryDTO GetInquiryByTitle(string title);
    }
}
